




#include "xanimdeltapartquat.h"

XAnimDeltaPartQuat::XAnimDeltaPartQuat()
    : XAsset() {
}

void XAnimDeltaPartQuat::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        aStream->read((char*)&mSize, sizeof(quint16));

        // Parse data
        mData.ParseData(aStream);
    }
}

quint16 XAnimDeltaPartQuat::GetSize() const {
    return mSize;
}

void XAnimDeltaPartQuat::SetSize(quint16 size) {
    mSize = size;
}

const XAnimDeltaPartQuatData& XAnimDeltaPartQuat::GetData() const {
    return mData;
}

void XAnimDeltaPartQuat::SetData(const XAnimDeltaPartQuatData& data) {
    mData = data;
}




